libjs-leaflet_1.4.0~dfsg-5_all.deb


Advertisement

Description

libjs-leaflet - mobile-friendly interactive maps - browser library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libjs-leaflet_1.4.0~dfsg-5_all.deb
Package name libjs-leaflet
Package version 1.4.0~dfsg
Package release 5
Package architecture all
Package type deb
Category field::geography implemented-in::ecmascript javascript role::shared-lib
Homepage https://leafletjs.com/
License -
Maintainer Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Download size 323.18 KB
Installed size 1.26 MB
Leaflet is a modern JavaScript library for mobile-friendly interactive
maps.  Weighing just about 27 KB of JS code, it has all the features
most developers ever need for online maps.
Leaflet is designed with simplicity, performance and usability in mind.
It works efficiently across all major desktop and mobile platforms out
of the box, taking advantage of HTML5 and CSS3 on modern browsers while
still being accessible on older ones. It can be extended with many
plugins, has a beautiful, easy to use and well-documented API and a
simple, readable source code that is a joy to contribute to.
This package provides Leaflet library directly usable in web browsers.

Alternatives

Package Version Architecture Repository
libjs-leaflet_1.4.0~dfsg-5_all.deb 1.4.0~dfsg all Debian Main
libjs-leaflet - - -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libjs-leaflet_1.4.0~dfsg-5_all.deb
Source Package leaflet

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libjs-leaflet deb package:
    # sudo apt-get install libjs-leaflet

Files

Path
/usr/share/doc/libjs-leaflet/NEWS.Debian.gz
/usr/share/doc/libjs-leaflet/changelog.Debian.gz
/usr/share/doc/libjs-leaflet/changelog.gz
/usr/share/doc/libjs-leaflet/copyright
/usr/share/javascript/leaflet/leaflet.css
/usr/share/javascript/leaflet/leaflet.css.br
/usr/share/javascript/leaflet/leaflet.css.gz
/usr/share/javascript/leaflet/leaflet.css.map
/usr/share/javascript/leaflet/leaflet.esm.js
/usr/share/javascript/leaflet/leaflet.js
/usr/share/javascript/leaflet/leaflet.min.js
/usr/share/javascript/leaflet/leaflet.min.js.br
/usr/share/javascript/leaflet/leaflet.min.js.gz
/usr/share/javascript/leaflet/leaflet.min.js.map
/usr/share/javascript/leaflet/images/layers-2x.png
/usr/share/javascript/leaflet/images/layers.png
/usr/share/javascript/leaflet/images/marker-icon-2x.png
/usr/share/javascript/leaflet/images/marker-icon.png
/usr/share/javascript/leaflet/images/marker-shadow.png

Changelog

2019-01-21 - Jonas Smedegaard <dr@jones.dk>
leaflet (1.4.0~dfsg-5) unstable; urgency=medium
* Fix provide all source files with node-leaflet.
2019-01-20 - Jonas Smedegaard <dr@jones.dk>
leaflet (1.4.0~dfsg-4) experimental; urgency=medium
* Add binary package node-leaflet.
2019-01-20 - Jonas Smedegaard <dr@jones.dk>
leaflet (1.4.0~dfsg-3) unstable; urgency=medium
* Stop build-depend explicitly on node-source-map.
* Update and bump version of NEWS entry.
* Simplify rules.
Build-depend on rename.
2019-01-19 - Jonas Smedegaard <dr@jones.dk>
leaflet (1.4.0~dfsg-2) experimental; urgency=medium
* Fix pre-compress browser library as gzip (not zlib).
* Strip comments from browser library.
* Simplify rules: Use pattern rules.
* Use UglifyJS2 v3.
Build-depend on recent uglifyjs (not node-uglify).
* Update copyright info:
+ Extend ownership coverage of copyright-check script.
2019-01-10 - Jonas Smedegaard <dr@jones.dk>
leaflet (1.4.0~dfsg-1) experimental; urgency=medium
[ upstream ]
* New release(s).
[ Jonas Smedegaard ]
* Build with rollup and uglifyjs CLI (not jake and uglify-js library).
Build-depend on rollup (not node-jake).
Fix path of included map file.
Include ES module.
* Rewrite patch 2002.
* Compress stylesheet.
Build-depend on sassc.
* Provide zlib and brotli pre-compressed files.
Build-depend on brotli pigz.
* Update copyright info:
+ Extend coverage for main upstream author.
+ Drop obsolete Files and License sections.
* Drop obsolete lintian override regarding debhelper 9.
* Tighten lintian overrides regarding License-Reference.
* Update lintian overrides
regarding GeoJSON/image strings mistaken as minified JavaScript.
* Update watch file: Use substitution strings.
* Fix clean temporary directory.
Closes: Bug#918652. Thanks to Andreas Beckmann.
2019-01-01 - Jonas Smedegaard <dr@jones.dk>
leaflet (1.0.3~dfsg-2) experimental; urgency=medium
[ Andreas Tille ]
* Fix Vcs fields
[ Jonas Smedegaard ]
* Simplify rules:
+ Stop resolve build-dependencies in rules file.
+ Use debhelper hint files.
+ Use short-form dh sequencer. Stop build-depend on cdbs.
* Stop build-depend on dh-buildinfo.
* Set Rules-Requires-Root: no.
* Declare compliance with Debian Policy 4.3.0.
* Update watch file: Fix typo in usage comment.
* Update copyright info:
+ Use https protocol in file format URL.
+ Extend coverage of packaging.
* Wrap and sort control file.
* Use https protocol in homepage URL.
* Set package priority optional (not extra).
2017-04-15 - Jonas Smedegaard <dr@jones.dk>
leaflet (1.0.3~dfsg-1) experimental; urgency=medium
[ upstream ]
* New release(s).
[ Jonas Smedegaard ]
* Update copyright info:
+ Exlude all generated (not only minified) code, convenience code
copy, and image with embedded non-free ICC profile, when
repackaging upstream source.
+ Extend copyright of packaging to cover current year.
* Modernize cdbs:
+ Do copyright-check in maintainer script (not during build).
+ Drop upstream-tarball hints: Use gbp import-orig --uscan.
+ Drop CDBS debhelper hint: Handled in CDBS now.
* Add patch 2002 to avoid use git to resolve version string.
* Drop patch 2001: Upstream no longer use jshint.
* Update package relations:
+ Build-depend on node-source-map.
+ Relax to build-depend unversioned on cdbs.
+ Stop build-depend on devscripts.
* Normalize library filenames to use .min suffix.
* Add NEWS entry about major release with ABI changes, and normalized
library filenames.
* Add more GeoJSON files mistaken as non-source to lintian overrides.

See Also

Package Description
libjs-less-elements_0.0~git20130115.0.191754c-2_all.deb set of basic mixins for the LESS CSS pre-processor
libjs-less_1.6.3~dfsg-3_all.deb LESS CSS meta-language - Javascript library
libjs-lodash_4.17.11+dfsg-2+deb10u1_all.deb Lo-dash is a Javascript utility library
libjs-lrdragndrop_1.0.2-2_all.deb drag and drop module for Angularjs
libjs-lunr_2.3.5~dfsg-7_all.deb simple full-text search - web browsers
libjs-magic-search_0.2.5-1_all.deb AngularJS widget that provides a UI for faceted and text search
libjs-markdown-it-html5-embed_1.0.0+ds-2_all.deb Markdown-it plugin for embedding audio/video in the HTML5 way
libjs-markdown-it-sub_1.0.0-2_all.deb javascript markdown parser subscript plugin
libjs-markdown-it-sup_1.0.0-2_all.deb javascript markdown parser superscript plugin
libjs-markdown-it_8.4.2-2_all.deb javascript markdown parser
libjs-marked_0.5.1+dfsg-1_all.deb Full-featured markdown parser and compiler
libjs-mathjax-doc_2.7+20171212-1_all.deb JavaScript display engine for LaTeX and MathML (documentation)
libjs-mathjax_2.7.4+dfsg-1_all.deb JavaScript display engine for LaTeX and MathML
libjs-matrix-js-sdk_0.9.2-1_all.deb JavaScript Client-Server SDK for the Matrix protocol
libjs-mediaelement_2.15.1+dfsg-1_all.deb HTML5 <audio> or <video> player with Flash and Silverlight shims
Advertisement
Advertisement